Package ghidra.app.plugin.assembler.sleigh.sem

# Interface AssemblyResolutionResults.Applicator

Enclosing class:
  AssemblyResolutionResults

public static interface AssemblyResolutionResults.Applicator

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default AssemblyResolvedPatterns`
  `combine(AssemblyResolvedPatterns cur, AssemblyResolution pat)`
  `default AssemblyResolvedPatterns`
  `combineBackfill(AssemblyResolvedPatterns cur, AssemblyResolvedBackfill bf)`
  `default AssemblyResolvedPatterns`
  `combineConstructor(AssemblyResolvedPatterns cur, AssemblyResolvedPatterns pat)`
  `String`
  `describeError(AssemblyResolvedPatterns rc, AssemblyResolution pat)`
  `default AssemblyResolution`
  `finish(AssemblyResolvedPatterns resolved)`
  `Iterable<? extends AssemblyResolution>`
  `getPatterns(AssemblyResolvedPatterns cur)`
  `default AssemblyResolvedPatterns`
  `setDescription(AssemblyResolvedPatterns res, AssemblyResolution from)`
  `default AssemblyResolvedPatterns`
  `setRight(AssemblyResolvedPatterns res, AssemblyResolvedPatterns cur)`

- ## Method Details

  - ### getPatterns

    Iterable<? extends AssemblyResolution> getPatterns(AssemblyResolvedPatterns cur)

  - ### setDescription

    default AssemblyResolvedPatterns setDescription(AssemblyResolvedPatterns res, AssemblyResolution from)

  - ### setRight

    default AssemblyResolvedPatterns setRight(AssemblyResolvedPatterns res, AssemblyResolvedPatterns cur)

  - ### combineConstructor

    default AssemblyResolvedPatterns combineConstructor(AssemblyResolvedPatterns cur, AssemblyResolvedPatterns pat)

  - ### combineBackfill

    default AssemblyResolvedPatterns combineBackfill(AssemblyResolvedPatterns cur, AssemblyResolvedBackfill bf)

  - ### combine

    default AssemblyResolvedPatterns combine(AssemblyResolvedPatterns cur, AssemblyResolution pat)

  - ### describeError

    String describeError(AssemblyResolvedPatterns rc, AssemblyResolution pat)

  - ### finish

    default AssemblyResolution finish(AssemblyResolvedPatterns resolved)